Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKNumberFormat Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKNumberFormat ()

## Public Attributes
IWORKCellNumberType | m_type
std::string | m_string
int | m_decimalPlaces
std::string | m_currencyCode
int | m_negativeStyle
bool | m_thousandsSeperator
int | m_fractionAccuracy
bool | m_accountingStyle
int | m_base
int | m_basePlaces
bool | m_baseUseMinusSign

## Constructor & Destructor Documentation

## ◆ IWORKNumberFormat()

libetonyek::IWORKNumberFormat::IWORKNumberFormat | ( |  | ) |

## Member Data Documentation

## ◆ m_accountingStyle

bool libetonyek::IWORKNumberFormat::m_accountingStyle

## ◆ m_base

int libetonyek::IWORKNumberFormat::m_base

## ◆ m_basePlaces

int libetonyek::IWORKNumberFormat::m_basePlaces

## ◆ m_baseUseMinusSign

bool libetonyek::IWORKNumberFormat::m_baseUseMinusSign

## ◆ m_currencyCode

std::string libetonyek::IWORKNumberFormat::m_currencyCode

## ◆ m_decimalPlaces

int libetonyek::IWORKNumberFormat::m_decimalPlaces

## ◆ m_fractionAccuracy

int libetonyek::IWORKNumberFormat::m_fractionAccuracy

## ◆ m_negativeStyle

int libetonyek::IWORKNumberFormat::m_negativeStyle

## ◆ m_string

std::string libetonyek::IWORKNumberFormat::m_string

## ◆ m_thousandsSeperator

bool libetonyek::IWORKNumberFormat::m_thousandsSeperator

## ◆ m_type

IWORKCellNumberType libetonyek::IWORKNumberFormat::m_type

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp